cryptol-2.8.0: Cryptol: The Language of Cryptography

Safe Haskell | Safe
Language | Haskell2010

Cryptol.TypeCheck.CheckModuleInstance

Synopsis

- checkModuleInstance :: Module -> Module -> InferM Module

# Documentation

checkModuleInstance Source #

Arguments

:: Module | type-checked functor
-> Module | type-checked instance
-> InferM Module | Instantiated module

Check that the instance provides what the functor needs.